Create a new notification with data provided in the request body. JSON format is expected.
POST
/data/notifications/
curl
curl -X POST "http://api.example.com/data/notifications/" \
-H "Authorization: Bearer YOUR_API_TOKEN" \
-H "Accept: application/json" \
-H "Content-Type: application/json" \
-d '{
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"read": false
}'
import requests
url = "http://api.example.com/data/notifications/"
headers = {
"Authorization": "Bearer YOUR_API_TOKEN",
"Accept": "application/json",
"Content-Type": "application/json"
}
params = {}
payload = {
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"read": false
}
response = requests.post(
url,
headers=headers,
params=params,
json=payload
)
response.raise_for_status()
if response.content:
print(response.json())
curl \
--request POST 'http://api.example.com/data/notifications/' \
--header "Authorization: $API_KEY" \
--header "Content-Type: application/json" \
--data '{"person_id":"a24a6ea4-ce75-4665-a070-57453082c25","comment_id":"b24a6ea4-ce75-4665-a070-57453082c25","read":false}'
Request examples
{
"person_id": "a24a6ea4-ce75-4665-a070-57453082c25",
"comment_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"read": false
}
Response examples (201)
{
"id": "a24a6ea4-ce75-4665-a070-57453082c25",
"person_id": "b24a6ea4-ce75-4665-a070-57453082c25",
"comment_id": "c24a6ea4-ce75-4665-a070-57453082c25",
"read": false,
"created_at": "2024-01-15T10:30:00Z",
"updated_at": "2024-01-15T10:30:00Z"
}